#pragma once

#include "person.h"
#include "object.h"
#include "sprite.h"
#include "person.h"

class Bullet : public Object
{
public:
	Bullet( Person* shooter, int bulletSpeed, int damage = 1, int which = 0 );
	virtual Object *copy();
	virtual void draw();
	virtual void update();
	virtual void collide( Object* o );
	int getDamage(){ return _damage; };
	void setShooter(Person *shooter) {_shooter = shooter;}

protected:
	Person* _shooter;
	Sprite* _sprite;

	int _xVelocity;
	int _yVelocity;
	int _damage;
	xDirection _xDirection;
	yDirection _yDirection;
};
